Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class PricingProductsGroups ' -- Termékcsoportra vonatkozó árképzés
    Inherits BaseObject
    Private _Pricing As Pricing ' -- Árképzés fejléc
    Private _ProductsGroups As ProductsGroups ' -- Termék csoport
    Private _DiscountPercent As Double ' -- Kedvezmény százalék
    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub
    <Association("Pricing-PricingProductsGroups", GetType(Pricing))> _
    Property Pricing As Pricing
        Get
            Return _Pricing
        End Get
        Set(ByVal value As Pricing)
            SetPropertyValue("Pricing", _Pricing, value)
        End Set
    End Property
    Property ProductsGroups As ProductsGroups
        Get
            Return _ProductsGroups
        End Get
        Set(ByVal value As ProductsGroups)
            SetPropertyValue("ProductsGroups", _ProductsGroups, value)
        End Set
    End Property
    <RuleRange("PricingProductsGroups-DiscountPercent", DefaultContexts.Save, 0.00000001, 100)> _
    Property DiscountPercent As Double
        Get
            Return _DiscountPercent
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("DiscountPercent", _DiscountPercent, value)
        End Set
    End Property
End Class